Summary:	X.org video driver for Intel i740 video adapters
Summary(pl.UTF-8):	Sterownik obrazu X.org dla kart graficznych Intel i740
Name:		xorg-driver-video-i740
Version:	1.4.0
Release:	2
License:	MIT
Group:		X11/Applications
Source0:	https://xorg.freedesktop.org/releases/individual/driver/xf86-video-i740-%{version}.tar.bz2
# Source0-md5:	34495b1e8f81507d8d5d38777f2e24ac
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	rpmbuild(macros) >= 1.389
BuildRequires:	xorg-lib-libpciaccess-devel >= 0.8.0
BuildRequires:	xorg-proto-fontsproto-devel
BuildRequires:	xorg-proto-randrproto-devel
BuildRequires:	xorg-proto-renderproto-devel
BuildRequires:	xorg-proto-videoproto-devel
BuildRequires:	xorg-proto-xextproto-devel
BuildRequires:	xorg-proto-xproto-devel
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xorg-xserver-server-devel >= 1.0.99.901
%{?requires_xorg_xserver_videodrv}
Requires:	xorg-xserver-server >= 1.0.99.901
Provides:	xorg-driver-video
Obsoletes:	X11-driver-i740 < 1:7.0.0
Obsoletes:	XFree86-driver-i740 < 1:7.0.0
Obsoletes:	XFree86-i740
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X.org video driver for video adapters based on Intel i740 chip.

%description -l pl.UTF-8
Sterownik obrazu X.org dla kart graficznych opartych na układzie Intel
i740.

%prep
%setup -q -n xf86-video-i740-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/xorg/modules/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/xorg/modules/drivers/i740_drv.so
%{_mandir}/man4/i740.4*
%changelog
* Sun Oct 31 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-driver-video-i740.git;a=log;h=master

* Sun Oct 31 2021 Jan Rękorajski <baggins@pld-linux.org> eefd4bf
- rebuil with xorg-xserver-server 21.1.0

* Sun Dec 09 2018 Jakub Bogusz <qboosh@pld-linux.org> caf980a
- updated to 1.4.0

* Mon May 14 2018 Jan Rękorajski <baggins@pld-linux.org> 77d9c00
- release 2 (by relup.sh)

* Thu Jan 19 2017 Jakub Bogusz <qboosh@pld-linux.org> b104add
- updated to 1.3.6
- removed obsolete xserver-1.19 patch

* Mon Nov 28 2016 Jan Rękorajski <baggins@pld-linux.org> 96f1acc
- fix building with xserver 1.19
- rel 4

* Sun Nov 20 2016 Jan Rękorajski <baggins@pld-linux.org> beb2cc1
- release 3 (by relup.sh)

* Fri Dec 25 2015 Jan Rękorajski <baggins@pld-linux.org> 6b205e3
- release 2 (by relup.sh)

* Tue Feb 24 2015 Jakub Bogusz <qboosh@pld-linux.org> cbb99bf
- updated to 1.3.5
- removed obsolete mibstore patch

* Thu Feb 05 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 9aa3ba8
- due to xserver 1.17
- release 7 (by relup.sh)

* Thu Jul 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 24a0a78
- xserver rebuild
- release 6 (by relup.sh)

* Thu Jul 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 6200a38
- xserver rebuild
- release 5 (by relup.sh)

* Fri Jan 03 2014 Jan Rękorajski <baggins@pld-linux.org> 3d6ae94
- release 4 (by relup.sh)

* Sun Apr 07 2013 Jan Rękorajski <baggins@pld-linux.org> 5481b6f
- fix building with xserver 1.14
- rel 3

* Thu Sep 06 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 28167d0
- release 2 (by relup.sh)

* Thu Jul 26 2012 Jakub Bogusz <qboosh@pld-linux.org> 8ece494
- updated to 1.3.4

* Mon May 21 2012 Jakub Bogusz <qboosh@pld-linux.org> bb739b8
- updated to 1.3.3

* Mon Mar 05 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> b7b4b42
- release 9

* Sat Aug 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> c0f8d67
- release 8

* Thu Aug 25 2011 Elan Ruusamäe <glen@pld-linux.org> 52e565c
- xorg-driver-video virtual for video drivers
- release 7

* Sun Feb 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 6563b9c
- release 6

